<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Shop\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class ShopBill extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="ShopBill"; 
		$this->Alias = "ShopBill"; 

		$this->CommandId = new Property("CommandId", "CommandId", NUMERICBOX,  false, $this->Alias); 
		$this->DateCreated = new Property("DateCreated", "DateCreated", DATEBOX,  false, $this->Alias); 
		$this->Price = new Property("Price", "Price", TEXTBOX,  false, $this->Alias); 
		$this->Status = new Property("Status", "Status", NUMERICBOX,  false, $this->Alias); 
		$this->DatePay = new Property("DatePay", "DatePay", DATEBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>